Bug 833517 - [RFE] [Web UI] Add support for DNS per-domain permissions
[RFE] [Web UI] Add support for DNS per-domain permissions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 12:08 EDT by Dmitri Pal
Modified: 2013-02-21 04:16 EST (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:16:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 03:22:21 EST

  None (edit)
Description Dmitri Pal 2012-06-19 12:08:53 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2851

Ticket #2511 adds support for per-domain DNS permissions. Administrator can now assign a user to `managedBy` attribute to make him able read/write selected DNS zone.

To find out if a logged user have read/write privilege to some zone, the following query can be run:

{{{
ipa dnszone-find --man-by-users=<user>
}}}
Comment 1 RHEL Product and Program Management 2012-07-10 03:12:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:29:05 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Petr Vobornik 2012-07-11 10:36:33 EDT
Fixed upstream: 14ac2193fec38b6f87dcf04b0c365d01805b0cae
Comment 6 Xiyang Dong 2012-11-28 08:28:08 EST
Verifying
Comment 7 Xiyang Dong 2012-11-28 08:41:27 EST
ipa version:

ipa-server-3.0.0-8.el6.x86_64

how to verify:
1.create a new user
2.add DNS zone
3.add permission via DNS
4.add privilege
6.add role
7.login as new user
8.verify that can list zone managed by user ,cannot list zone not managed by user
9.verify that can't add a new zone 
10.verify that can't delete zone managed by user
11.verify that can enable&disable zone managed by user 
12.verify that can't modify global configuration 
13.verify that can't remove permission managed by user in permission page 
14.verify that can't remove permission in the dns attribute to manage this zone 
15.login as admin 
16.verify that once permission is removed via DNS ,the permission is moved as well 
17.verify that if permission is deleted then the dns managedby attribute is not set(able to add again , then delete it) 
18.verify that if permission is deleted then the user can no longer access the zone 
19.remove dns zone
20.remove the user
21.remove privilege 
22.remove role
Comment 8 Namita Soman 2012-11-28 08:45:27 EST
xdong verified taking steps above
Comment 10 errata-xmlrpc 2013-02-21 04:16:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.